<!-- Footer -->

<hr>

<footer>
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        <ul class="list-inline text-center">
          {% if site.email %}
          <li class="list-inline-item">
            <a href="mailto:{{ site.email | encode_email }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="far fa-envelope fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.twitter_username %}
          <li class="list-inline-item">
            <a target="_blank" href="https://twitter.com/{{ site.twitter_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-twitter fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.facebook_username %}
          <li class="list-inline-item">
            <a target="_blank" href="https://www.facebook.com/{{ site.facebook_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-facebook-f fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.linkedin_username %}
          <li class="list-inline-item">
            <a target="_blank" href="https://www.linkedin.com/in/{{ site.linkedin_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-linkedin fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.github_username %}
          <li class="list-inline-item">
            <a target="_blank" href="https://github.com/{{ site.github_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-github fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.gitlab_username %}
          <li class="list-inline-item">
            <a target="_blank" href="https://gitlab.com/{{ site.gitlab_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-gitlab fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.stackoverflow_username %}
          <li class="list-inline-item">
            <a target="_blank" href="https://stackoverflow.com/users/{{ site.stackoverflow_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-stack-overflow fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
          {% if site.instagram_username %}
          <li class="list-inline-item">
            <a href="https://instagram.com/{{ site.instagram_username }}">
              <span class="fa-stack fa-lg">
                <i class="fas fa-circle fa-stack-2x"></i>
                <i class="fab fa-instagram fa-stack-1x fa-inverse"></i>
              </span>
            </a>
          </li>
          {% endif %}
        </ul>
        <p class="copyright text-muted">Copyright &copy; {{ site.author }} {{ 'now' | date: "%Y" }}</p>
      </div>
    </div>
  </div>
</footer>
<script>
const userPrefers = getComputedStyle(document.documentElement).getPropertyValue('content');	

if (theme === "dark") {
	document.getElementById("theme-toggle").innerHTML = "Light Mode";
} else if (theme === "light") {
	document.getElementById("theme-toggle").innerHTML = "Dark Mode";
} else if  (userPrefers === "dark") {
	document.documentElement.setAttribute('data-theme', 'dark');
	window.localStorage.setItem('theme', 'dark');
	document.getElementById("theme-toggle").innerHTML = "Light Mode";
} else {
	document.documentElement.setAttribute('data-theme', 'light');
	window.localStorage.setItem('theme', 'light');
	document.getElementById("theme-toggle").innerHTML = "Dark Mode";
}

function modeSwitcher() {
	let currentMode = document.documentElement.getAttribute('data-theme');
	if (currentMode === "dark") {
		document.documentElement.setAttribute('data-theme', 'light');
		window.localStorage.setItem('theme', 'light');
		document.getElementById("theme-toggle").innerHTML = "Dark Mode";
	} else {
		document.documentElement.setAttribute('data-theme', 'dark');
		window.localStorage.setItem('theme', 'dark');
		document.getElementById("theme-toggle").innerHTML = "Light Mode";
	}
}
</script>
